Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		xwax
#Epoch:		0
Version:	0.8
Release:	1
License:	GNU/GPLv2
URL:		http://www.xwax.co.uk
Group:		Multimedia
Summary:	open-source vinyl emulation software for Linux
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		xwax-destdir.patch

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: SDL-devel
BuildRequires: SDL_ttf-devel

%description
xwax is open-source vinyl emulation software for Linux. It allows DJs and turntablists to playback digital audio files (MP3, Ogg Vorbis, FLAC, AAC and more), controlled using a normal pair of turntables via timecoded vinyls.

It's designed for both beat mixing and scratch mixing. Needle drops, pitch changes, scratching, spinbacks and rewinds are all supported, and feel just like the audio is pressed onto the vinyl itself.

The focus is on an accurate vinyl feel which is efficient, stable and fast.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure \
--prefix=%_prefix \
--disable-debug \
--enable-alsa \
--enable-jack 

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/xwax
%{_libdir}exec/xwax-import
%{_libdir}exec/xwax-scan
%{_docdir}/xwax/CHANGES
%{_docdir}/xwax/COPYING
%{_docdir}/xwax/README
%{_mandir}/man1/xwax.1.gz

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Nov 09 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.8-1
- initial CCux package release
